@import url('https://fonts.googleapis.com/css2?family=Oswald:wght@200..700&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    background: #000;
    font-family: "Oswald", sans-serif;
}

h1 {
    font-size: clamp(2.3rem, 5vw, 3.7rem);
    color: rgb(231, 173, 26);
    text-align: center;
    padding-bottom: 20px;
    font-weight: 700;
}

h2{
   font-size: clamp(2rem, 5vw, 3rem);
   color: #fff;
   font-weight: 600; 
}

p{
    color: #ccc;
    font-size: (1rem, 5vw, 2.2rem);
}

ul{
    list-style: none;
}

a{
    text-decoration: none;
    color: #fff;
    transition: .4s ease;
    cursor: pointer;
}

a:hover {
    color: rgb(231, 173, 26);
}

i{
    color: #fff;
    font-size: 1.2rem;
    transition: .3s ease;
    margin-right: 8px;
}

i:hover {

    color: rgb(231, 173, 26);
}

.btn {
    background: linear-gradient(60deg, #000, #fff);
    padding: 8px 25px;
    color: rgb(231, 173, 26);
    border-radius: 25px;
    font-size: 1.4rem;
    border: 1px solid rgb(231, 173, 26);
    transition: .3s ease;
}

.btn:hover {
    background: linear-gradient(60deg, rgb(231, 173, 26), rgb(85, 62, 5));
    color: #fff;
    border: 1px solid #ccc;
}

/* top nav section */

.top-nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: linear-gradient(60deg, rgb(231, 173, 26), rgb(85, 62, 5));
    padding: 20px 50px;
    font-weight: 200;
    font-size: 1.2rem;
    color: #fff;
}

.top-nav i {
    font-size: 1.2rem;
}

.menu-left {
    gap: 50px;
}

/* main nav section */

#nav{
    display: flex;
    justify-content: space-between;
    width: 100%;
    position: sticky;
    top: 0;
    padding: 6px 50px;
    align-items: center;
    background: #000;
    z-index: 99;
    box-shadow: 0 0 15px rgb(85, 62, 5);
}

nav .logo{
    height: 45px;
    width: 45px;
    border-radius: 50%;
}

nav .logo img{
    height: 45px;
    width: 45px;
    border-radius: 50%;
}


.nav-item {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
}

.navbar {
    display: flex;
    align-items: center;
    justify-content: center;
    font-weight: 200;
    gap: 20px;
    font-size: 1.2rem;
}

.navbar .hide-nav {
    color: #fff;
    font-size: 1.9rem;
    display: none;
}

.menu-icon {
    font-size: 1.8rem;
    display: none;
    cursor: pointer;
}

/* header section */

#carouselExampleAutoplaying {
    height: 70vh;
}

#carouselExampleAutoplaying .carousel-inner,
#carouselExampleAutoplaying .carousel-item,
#carouselExampleAutoplaying .carousel-item img {
    height: 70vh;
}

#carouselExampleAutoplaying .carousel-item img {
    object-fit: cover;
}

/* marquee section */

marquee .offer{
    display: flex;
    gap: 30px;
    color: rgb(231, 173, 26);
    padding-top: 30px;
}

.offer-head{
    display: flex;
    padding-top: 30px;
}

.offer-wrapper {
    display: flex;
}

.offer-wrapper::-webkit-scrollbar {
    display: flex;
}

.offer-wrapper .offer {
    display: flex;
    justify-content: center;
    align-items: center;
    /* overflow-x: auto; */
    gap: 30px;
    color: #ffb703;
    animation: spin 20s linear infinite;
}

@keyframes spin {
    from {transform: translateX(0);}
    to {transform: translateX(100%);}
}

.offer-wrapper .offer h4 {
    font-size: 1.2rem;
    font-weight: 300;
}

/* swiper section */

.swiper {
    background: #000;
    display: flex;

}

.swiper-div {
    display: flex;
    justify-content: center;
    align-items: center;
    overflow-x: auto;
    gap: 20px;
}

.main-swiper {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 20px;
    animation: spin 7s infinite linear
}

.swiper-div::-webkit-scrollbar{
    display: none;
}

.swiper-container {
    width: 180px;
    height: 180px;

}

@keyframes spin {
    form{transform: translateX(0%);}
    to{transform: translateX(-100%);}
}

/* our services section */

.our-services {
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    flex-wrap: wrap;
    gap: 20px;
}

.our-services .we-pro {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    border-radius: 20px;
    width: 250px;
    height: 160px;
    border: 1px solid rgb(85, 62, 5);
}

.our-services .we-pro img {
    border-radius: 1.2rem;
    width: 250px;
    height: 160px;
}

.our-services .we-pro h4 {
    position: absolute;
    color: rgb(231, 173, 26);
}

/* our presence section */

.our-pre {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 40px;

}

.our-pre .pre-img {
    width: 200px;
    height: 200px;
    box-shadow: 0 0 10px 5px rgb(85, 62, 5);
    background: linear-gradient(90deg, #ccc, #000);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 15px;
    color: rgb(231, 173, 26);
    transition: .4s ease;
    border-radius: 1.5rem;
}

.our-pre .pre-img:hover {
    background: linear-gradient(90deg, rgb(231, 173, 26), rgb(85, 62, 5));
    color: #fff;
    box-shadow: 0 0 10px 4px #fff;
}

.presence a {
    display: flex;
    justify-content: center;
}

/********************************* testimonial section ***********************/

.testimonial {
    gap: 20px;
}

.testimonial-card {
  max-width: 340px;
  width: 100%;
  margin: auto;
  background: rgb(85, 62, 5);
  border-radius: 16px;
  padding: 70px 40px 30px;
  position: relative;
  text-align: center;
  box-shadow: 0 0 10px 5px #ffb703;
  flex-wrap: wrap;
  
}

/* White top section illusion */
.testimonial-card::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  height: 35%;
  width: 100%;
  background: #ccc;
  border-radius: 16px 16px 0 0;
  z-index: 0;
}

.profile {
  position: absolute;
  top: 50px;
  left: 50%;
  transform: translateX(-50%);
  z-index: 1;
}

.profile img {
  width: 90px;
  height: 90px;
  border-radius: 50%;
  border: 4px solid rgb(85, 62, 5);
  object-fit: cover;
}

.testimonial-text {
  color: #fff;
  font-size: 14px;
  line-height: 1.6;
  margin-top: 75px;
}

.name {
  color: #fff;
  margin: 15px 0 5px;
  font-size: 16px;
  font-weight: 600;
}

.designation {
  color: #fff;
  font-size: 13px;
  opacity: 0.9;
}

.quote-top {
  top: 5px;
  left: 20px;
  font-size: 60px;
  color: rgb(85, 62, 5);
  position: absolute;
}

.quote-bottom {
  top: 300px;
  left: 280px;
  font-size: 60px;
  right: 15px;
  color: #ccc;
  position: absolute;
}

.star-icon i {
    font-size: .8rem;
    color: #ffb703;
    margin-bottom: 20px;
}

.testimonial-card .style1 {
    background: transparent;
    position: absolute;
    left: 60px;
    top: 30px;
    max-width: 260px;
    border: none;
    width: 100%;
    height: 60%;
    border-top: 5px solid rgb(85, 62, 5);
    border-right: 5px solid rgb(85, 62, 5);
    border-top-right-radius: 16px;
}

.testimonial-card .style2 {
    background: transparent;
    position: absolute;
    left: 30px;
    top: 120px;
    max-width: 250px;
    border: none;
    width: 100%;
    height: 60%;
    border-left: 5px solid #ccc;
    border-bottom: 5px solid #ccc;
    border-bottom-left-radius: 16px;
}

/* our-work section */



.main-work {
    display: flex;  
    align-items: center;
    justify-content: center;
    gap: 30px;
    flex-wrap: wrap;
}

.our-work {
    border: 1px solid rgb(231, 173, 26);
    border-radius: 1rem;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 20px;
    gap: 20px;
}

.our-work img {
    width: 250px;
    height: 160px;
    border-radius: 1rem;
}

.work a {
    display: flex;
    justify-content: center;
}

/* faq section */

.main-faq {
    display: flex;
    /* justify-content: center; */
    /* align-items: center; */
    flex-direction: column;
    gap: 10px;
}

.faq-div {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.faq-div .faq-text {
    background: #000;
    padding: 20px;
    font-size: clamp(.8rem, 5vw, 1.2rem);  
    display: none; 
    width: 100%;
    transition: .3s ease;
}

.faq-head {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background: linear-gradient(90deg, #fff, #000);  
    border: 1px solid rgb(231, 173, 26);
    width: 100%;
    height: 60px;
    padding: 20px;
    color: rgb(85, 62, 5);
    cursor: pointer;
    transition: .3s ease;
}

.faq-head h5 {
    font-size: clamp(1.1rem, 5vw, 1.6rem);
}

.faq-head:hover {
    background: linear-gradient(90deg, rgb(85, 62, 5), rgb(231, 173, 26));
    color: #fff;
}

.faq-icon{
    transition: .3s ease;
    color: rgb(85, 62, 5);
}

.faq-icon.rotate {
  transform: rotate(90deg);   /* right → down */
}

.faq-text.faq-show {
    display: block;
    animation: smooth 1s ease;
}

@keyframes smooth  {
    from{opacity: 0;}
    to{opacity: 1;}
}

/* footer section */

footer{
    box-shadow: 0 0 10px 4px rgb(85, 62, 5);
    
}

.footer-img {
    display: flex;
    align-items: start;
    flex-direction: column;
    gap: 20px;
}

.footer-img img {
    height: 80px;
    width: 80px;
}

.footer-img .social {
    display: flex;
    justify-content: start;
}

footer h3 {
    color: rgb(85, 62, 5);
    margin-bottom: 20px;
}

.footer-add .add {
    display: flex;
}

footer .copy-ret {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-top: 2px solid rgb(85, 62, 5);
    padding-top: 20px;
    flex-wrap: wrap;
}

footer .copy-ret h3 {
    font-size: 1.4rem;
}

footer .copy-ret h3 img {
    height: 45px;
    width: 45px;
}

/* contact section */

.contact-hero {
  background: url("../chhavikatha-img/about.jpg") no-repeat;
  background-size: cover;
  background-position: top;
  color: #fff;
  padding: 60px 0;
}

.contact-hero p {
    color: #ccc;
    font-size: 1.2rem;
}

/* Contact Info */
.contact-info {
  background: linear-gradient(rgb(85, 62, 5), rgb(231, 173, 26));
  padding: 30px;
  border-radius: 12px;
  color: #fff;
}

.contact-info h3 {
  margin-bottom: 10px;
  font-size: 2rem;
  font-weight: 600;
}

.info-box {
  display: flex;
  gap: 15px;
  margin-top: 20px;
}

.info-box i {
  font-size: 24px;
}

.info-box a {
  text-decoration: none;
  color: #333;
}

/* Social */

.social-links {
    margin-left: 30px;
    margin-top: 10px;
}

.social-links i {
  font-size: 20px;
}

/* Form */
.contact-form {
  background: linear-gradient(rgb(85, 62, 5), rgb(231, 173, 26));
  padding: 30px;
  border-radius: 12px;
  color: #fff;
}

.form-control {
  background: #ccc;
  border: 1px solid #ddd;
}


/* our team page */

.team-head {
    width: 100%;
    height: 60dvh;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background: url("../chhavikatha-img/team-d.jpg") no-repeat;
    background-size: cover;
    background-position: center;
    
}

 .team-section {
    padding: 50px 0;
}

.team-section .card {
    background: linear-gradient(90deg, rgb(231, 173, 26), rgb(85, 62, 5));
    color: #fff;
}

.team-card {
    transition: 0.3s;
    border: none;
    border-radius: 15px;
}

.team-card:hover {
    transform: translateY(-8px);
}

.team-img {
    height: 300px;
    object-fit: cover;
    border-top-left-radius: 15px;
    border-top-right-radius: 15px;
}

.section-title {
    margin-bottom: 50px;
}














@media (max-width: 991px) {
    .menu-icon{
        display: block;
    }

    .navbar {
        display: flex;
        flex-direction: column;
        justify-content: left;
        align-items: start;
        text-align: left;
        position: fixed;
        padding-left: 20px;
        padding-top: 30px;
        box-shadow: 0 0 15px rgb(85, 62, 5);
        top: 0;
        right: -300px;
        width: 250px;
        height: 100%;
        background: #000;
        transition: .4s ease;
        z-index: 999;
    }

    .navbar .hide-nav{
        display: block;
        cursor: pointer;
    }

    .nav-show {
        right: 0px;
    }

    .top-nav {
        display: none;
    }
}
